Skip to content

ProSoft XP Connector

Connect ProSoft XP (beta). providerConfigKey is prosoft-xprest. Send credentials on the connect-session body (not OAuth).

Base URL

BASE_URL = "https://api.fermi.dev/public/v1"

Authentication

Authorization: Bearer <service-actor-token>

Required Scopes: connectors:read, connectors:write, connectors:sync

Connect

POST /connect/integrations/connect-session

{
  "providerConfigKey": "prosoft-xprest",
  "username": "api-user",
  "password": "api-password",
  "metadata": {
    "connectionName": "ProSoft production"
  }
}

Response: { "success": true, "connection": { ... } }

List connections

GET /connect/integrations/connections?providerConfigKey=prosoft-xprest

Sync

POST /sync/enqueue

{
  "connectionId": "CONNECTION_ID",
  "providerKey": "prosoft-xprest"
}

Summary

Method Path
POST /connect/integrations/connect-session
GET /connect/integrations/connections?providerConfigKey=prosoft-xprest
POST /sync/enqueue

Next Steps